Module jdk.javadoc
Package jdk.javadoc.doclet

# Enum Class DocletEnvironment.ModuleMode

java.lang.Object
java.lang.Enum<DocletEnvironment.ModuleMode>
jdk.javadoc.doclet.DocletEnvironment.ModuleMode

All Implemented Interfaces:
  `Serializable`, `Comparable<DocletEnvironment.ModuleMode>`, `Constable`

Enclosing interface:
  `DocletEnvironment`

public static enum DocletEnvironment.ModuleMode extends Enum<DocletEnvironment.ModuleMode>
The mode specifying the level of detail of module documentation.

## Nested Class Summary

## Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL`
Indicate Detailed documentation is required
`API`
Indicate API level documentation is required

## Method Summary

Modifier and Type
Method
Description
`static DocletEnvironment.ModuleMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DocletEnvironment.ModuleMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### API

public static final DocletEnvironment.ModuleMode API
Indicate API level documentation is required

### ALL

public static final DocletEnvironment.ModuleMode ALL
Indicate Detailed documentation is required

## Method Details

### values

public static DocletEnvironment.ModuleMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DocletEnvironment.ModuleMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null